Get Usage Limits
Retrieve the authenticated caller's rate limits, usage spending, and storage consumption for the billing period. Accepts an API key or a signed-in session.
GET
/api/users/me/usage-limitsAuthorization
apiKey X-API-Key<token>
Your SteelEngine API key (personal, workspace, or organization). Create personal and workspace keys under Settings > API Keys. Create organization keys under Organization Settings > API Keys.
In: header
Response Body
application/json
application/json
curl -X GET "https://example.com/api/users/me/usage-limits"{ "success": true, "rateLimit": { "sync": { "isLimited": false, "requestsPerMinute": 60, "maxBurst": 10, "remaining": 59, "resetAt": "2026-01-15T11:00:00Z" }, "async": { "isLimited": false, "requestsPerMinute": 200, "maxBurst": 20, "remaining": 200, "resetAt": "2026-01-15T11:00:00Z" }, "authType": "api" }, "usage": { "currentPeriodCost": 12.5, "limit": 100, "plan": "pro" }, "storage": { "usedBytes": 5242880, "limitBytes": 1073741824, "percentUsed": 0.49 }}